/*
            Endeavour Device Mounting, Unmounting, and Ejecting
 */

#ifndef EDV_DEVICE_MOUNT_H
#define EDV_DEVICE_MOUNT_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "edv_device.h"


extern const gchar *EDVDeviceUnmountGetError(void);

extern gint EDVDeviceMount(
	edv_core_struct *core, edv_device_struct *dev,
	const gboolean show_progress, const gboolean verbose,
	GtkWidget *toplevel
);
extern gint EDVDeviceUnmount(
	edv_core_struct *core, edv_device_struct *dev,
	const gboolean show_progress, const gboolean verbose,
	GtkWidget *toplevel
);
extern gint EDVDeviceEject(
	edv_core_struct *core, edv_device_struct *dev,
	const gboolean show_progress, const gboolean verbose,
	GtkWidget *toplevel
);


#endif	/* EDV_DEVICE_MOUNT_H */
